Subject: bug#59778: 30.0.50; [PATCH] Fix boxed menu bar in non-toolkit X builds

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Dec 2022 22:21:55 +0200

> From: Manuel Giraud <[email-masked]>
> Date: Fri, 02 Dec 2022 15:03:57 +0100
> 
> This patch make the right end shadow of a boxed menu bar appear
> correctly.  It is essentially a copy/paste of what is done for the
> modeline.  I also remove it.[first|last]_visible_x settings because
> init_iterator does this job already for non DEFAULT_FACE_ID.

Thanks, this LGTM.  Could you please rebase on the current HEAD of the
master branch and resubmit?  The patch doesn't apply otherwise.